
# backend performing missing data imputation.
impute.backend = function(fitted, data, method, ..., debug = FALSE) {

  for (i in schedule(fitted)) {

    missing = is.na(data[, i])

    if (!any(missing))
      next

    data[missing, i] = predict.bn.fit(fitted, node = i, method = method, ...,
                         data = data[missing, names(data) != i], debug = debug)

  }#FOR

  return(data)

}#IMPUTE.BACKEND

